[package]
name = "coco-service"
version = "0.1.4"
authors = ["Aleksa <thealeksaradovic@gmail.com>"]
edition = "2021"

[profile.release]
opt-level = "z"
lto = true

[dependencies]
anyhow = "1.0"
async-trait = "0.1"
bson = "2.5"
chrono = "0.4"
fern = { version = "0.6", features = ["colored"] }
heck = "0.4"
log = "0.4"
mongodb = "2.4"
reqwest = "0.11"
rust-crypto = "0.2"
serde = { version = "1.0", features = ["derive"] }
serde_json = "1.0"
serde-xml-rs = "0.6"
serde_yaml = "0.9"
serenity = { version = "0.10", default-features = false, features = ["http", "model", "rustls_backend"] }
tokio = { version = "1.11", features = ["macros", "rt-multi-thread"] }
tokio-stream = "0.1"
